function TcpModuleFirstPage()
{
  //泓格專用
  this.CreateIcpdasModule = function(that){TcpModuleFirstPage.prototype._CreateIcpdasModule_(that);};
  this.UploadFile = function(that, Event){TcpModuleFirstPage.prototype._UploadFile_(that, Event);};
  this.UpdateFile = function(that){TcpModuleFirstPage.prototype._UpdateFile_(that);};
  var FileTransmission = function(that, file){TcpModuleFirstPage.prototype._FileTransmission_(that, file);};
  //建立資料
  var CreateTcpSettingObject = function(number){TcpModuleFirstPage.prototype._CreateTcpSettingObject_(number);};
  var CreateModuleFunction   = function(number){TcpModuleFirstPage.prototype._CreateModuleFunction_(number);};
  var BuildTcpModuleAllObject   = function(that){TcpModuleFirstPage.prototype._BuildTcpModuleAllObject_(that);};
  var BuildTcpModuleObject   = function(ModuleName, number){TcpModuleFirstPage.prototype._BuildTcpModuleObject_(ModuleName, number);};
  //編碼
  var DeleteRepeatNumber     = function(number){TcpModuleFirstPage.prototype._DeleteRepeatNumber_(number);};
  var UpdateNumber       = function(ObjectKey){TcpModuleFirstPage.prototype._UpdateNumber_(ObjectKey);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){TcpModuleFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){TcpModuleFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){TcpModuleFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){TcpModuleFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //對話框
  this.CopyDialogEnabled  = function(Event){TcpModuleFirstPage.prototype._CopyDialogEnabled_(Event);};
  this.CopyDialogDisabled = function(){TcpModuleFirstPage.prototype._CopyDialogDisabled_();};
  
  this.ClearDialogEnabled  = function(Event){TcpModuleFirstPage.prototype._ClearDialogEnabled_(Event);};
  this.ClearDialogDisabled = function(){TcpModuleFirstPage.prototype._ClearDialogDisabled_();};
  //介面
  this.RedisplayUi       = function(){TcpModuleFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetDeviceName   = function(){return TcpModuleFirstPage.prototype._GetDeviceName_();};
  var GetAllDeviceName   = function(){return TcpModuleFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return TcpModuleFirstPage.prototype._GetAllNumber_();};
  //複製
  var CopyGlobalVariable = function(DeviceName, number){TcpModuleFirstPage.prototype._CopyGlobalVariable_(DeviceName, number);};
  var CopyTickedModule   = function(){TcpModuleFirstPage.prototype._CopyTickedModule_();};
  this.CopyModule        = function(){TcpModuleFirstPage.prototype._CopyModule_();};
  //移除
  var RemoveGlobalVariable = function(DeviceName, number){TcpModuleFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedModule   = function(){TcpModuleFirstPage.prototype._RemoveTickedModule_();};
  this.DeleteModule        = function(){TcpModuleFirstPage.prototype._DeleteModule_();};
  this.ClearAllModule = function(that){TcpModuleFirstPage.prototype._ClearAllModule_(that);};
  //判斷
  this.IsTickedModule = function(){return TcpModuleFirstPage.prototype._IsTickedModule_();};
  //載入
  var LoadLanName = function(){TcpModuleFirstPage.prototype._LoadLanName_();};
  var LoadIcpdasModule = function(){TcpModuleFirstPage.prototype._LoadIcpdasModule_();};
  //初始化
  var InitializationGlobalVariable = function(){TcpModuleFirstPage.prototype._InitializationGlobalVariable_();};
  this.Initialization = function(){TcpModuleFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckModuleName = function(that){TcpModuleFirstPage.prototype._CheckModuleName_(that);};
  var CheckTcpModuleQuantity = function(){return TcpModuleFirstPage.prototype._CheckTcpModuleQuantity_();};
  //儲存
  var SaveLoggerSetting = function(Result){TcpModuleFirstPage.prototype._SaveLoggerSetting_(Result);};
  var SaveModuleSetting = function(Result){TcpModuleFirstPage.prototype._SaveModuleSetting_(Result);};
  var SaveConvertSetting = function(Result){TcpModuleFirstPage.prototype._SaveConvertSetting_(Result);};
  var SaveAdvancedSetting = function(Result){TcpModuleFirstPage.prototype._SaveAdvancedSetting_(Result);};
  this.SaveDataLayerAndServiceLayerVariables = function(Result){return TcpModuleFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  //按鈕
  this.ModuleAddNewRow   = function(that){TcpModuleFirstPage.prototype._ModuleAddNewRow_(that);};
  this.EditButton = function(that){TcpModuleFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){TcpModuleFirstPage.prototype._SaveButton_(that);};
  //下拉選單
  this.ChangeLanDevice = function(that){TcpModuleFirstPage.prototype._ChangeLanDevice_(that);};
}










function TcpModuleSecondPage()
{
  //表格
  var CreateScalingTable         = function(DataModelId, Obj){TcpModuleSecondPage.prototype._CreateScalingTable_(DataModelId, Obj);};
  var CreateBitwiseTable         = function(DataModelId, Obj){TcpModuleSecondPage.prototype._CreateBitwiseTable_(DataModelId, Obj);};
  var CreateTable         = function(DataModelId, that){TcpModuleSecondPage.prototype._CreateTable_(DataModelId, that);};
  this.ProduceTable        = function(that){TcpModuleSecondPage.prototype._ProduceTable_(that);};
  var GetSettingFormValue = function(){return TcpModuleSecondPage.prototype._GetSettingFormValue_();};
  this.SelectDataModelCombobox = function(that){TcpModuleSecondPage.prototype._SelectDataModelCombobox_(that);}; 
  this.InitialSettingFormValue = function(that){TcpModuleSecondPage.prototype._InitialSettingFormValue_(that);};
  //總表
  var ConvertedIntoTotalTableUiData = function(Data){TcpModuleSecondPage.prototype._ConvertedIntoTotalTableUiData_(Data);};
  var GetTotalTableNeedData = function(number){TcpModuleSecondPage.prototype._GetTotalTableNeedData_(number);};
  var SetTotalTableInitialValue = function(number){TcpModuleSecondPage.prototype._SetTotalTableInitialValue_(number);};  
  var GetTotalTableOldData = function(DataModelId){return TcpModuleSecondPage.prototype._GetTotalTableOldData_(DataModelId);};
  var TotalTableAddNewRow = function(DataModelId, Data){TcpModuleSecondPage.prototype._TotalTableAddNewRow_(DataModelId, Data);};
  var AddTotalTableData = function(StartAddress, DataNumber, DataType, Data){return TcpModuleSecondPage.prototype._AddTotalTableData_(StartAddress, DataNumber, DataType, Data);};
  var SetTotalTableNewRowValue = function(DataModelId, Data){TcpModuleSecondPage.prototype._SetTotalTableNewRowValue_(DataModelId, Data);};
  var GetItemTableValue = function(that){return TcpModuleSecondPage.prototype._GetItemTableValue_(that);};
  var CompareDataModelTableNeedDeleteAddress = function(that){return TcpModuleSecondPage.prototype._CompareDataModelTableNeedDeleteAddress_(that);};
  var CompareDataModelTableNeedAddAddress = function(that){return TcpModuleSecondPage.prototype._CompareDataModelTableNeedAddAddress_(that);};
  var ItemTableCss = function(Mode, that){TcpModuleSecondPage.prototype._ItemTableCss_(Mode, that);};
  //資料類型表
  var GetDataModelTableUiData = function(number){TcpModuleSecondPage.prototype._GetDataModelTableUiData_(number);};
  var SetDataModelTableInitialValue = function(number){TcpModuleSecondPage.prototype._SetDataModelTableInitialValue_(number);};
  var GetDataModelTableOldData      = function(DataModelId){return TcpModuleSecondPage.prototype._GetDataModelTableOldData_(DataModelId);};
  var DataModelTableAddNewRow       = function(DataModelId, Data){TcpModuleSecondPage.prototype._DataModelTableAddNewRow_(DataModelId, Data);};
  var AddDataModelTableData = function(Data, AddAddress, DataType){return TcpModuleSecondPage.prototype._AddDataModelTableData_(Data, AddAddress, DataType);};
  var SetDataModelTableNewRowValue  = function(DataModelId, Data){TcpModuleSecondPage.prototype._SetDataModelTableNewRowValue_(DataModelId, Data);};
  var DeleteDataModelTableData = function(Data, DeleteAddress){return TcpModuleSecondPage.prototype._DeleteDataModelTableData_(Data, DeleteAddress);};
  var GenerateNeedAddAddress = function(StartAddress, DataNumber, DataType){return TcpModuleSecondPage.prototype._GenerateNeedAddAddress_(StartAddress, DataNumber, DataType);};
  var GenerateNeedDeleteAddress = function(StartAddress, DataNumber, DataType){return TcpModuleSecondPage.prototype._GenerateNeedDeleteAddress_(StartAddress, DataNumber, DataType);};
  var ModifyDataModelTableData = function(that, DataModelId, Obj){TcpModuleSecondPage.prototype._ModifyDataModelTableData_(that, DataModelId, Obj);};
  //Scale設定表
  var GetScalingTableUiData = function(number){TcpModuleSecondPage.prototype._GetScalingTableUiData_(number);};
  var SetScalingTableInitialValue = function(number){TcpModuleSecondPage.prototype._SetScalingTableInitialValue_(number);};
  var GetScalingTableOldData      = function(DataModelId){return TcpModuleSecondPage.prototype._GetScalingTableOldData_(DataModelId);};
  var ScalingTableAddNewRow       = function(DataModelId, Data){TcpModuleSecondPage.prototype._ScalingTableAddNewRow_(DataModelId, Data);};
  var AddScalingTableData = function(Data, AddAddress, DataType){return TcpModuleSecondPage.prototype._AddScalingTableData_(Data, AddAddress, DataType);};
  var SetScalingTableNewRowValue  = function(DataModelId, Data){TcpModuleSecondPage.prototype._SetScalingTableNewRowValue_(DataModelId, Data);};
  this.ScaleRangeSettingEnabled  = function(that){TcpModuleSecondPage.prototype._ScaleRangeSettingEnabled_(that);};
  this.ScaleRangeSettingDisabled  = function(that){TcpModuleSecondPage.prototype._ScaleRangeSettingDisabled_(that);};
  var DeleteScalingDynamicRow = function(StartAddress, TableId){TcpModuleSecondPage.prototype._DeleteScalingDynamicRow_(StartAddress, number, TableId);};
  var ModifyScalingTableData = function(that, DataModelId, Obj){TcpModuleSecondPage.prototype._ModifyScalingTableData_(that, DataModelId, Obj);};
  //Bitwise設定表
  var GetBitwiseVariableFromGlobal = function(object, Data){TcpModuleSecondPage.prototype.GetBitwiseVariableFromGlobal(object, Data);};
  var GetBitwiseTableUiData = function(number){TcpModuleSecondPage.prototype._GetBitwiseTableUiData_(number);};
  var SetBitwiseTableInitialValue = function(number){TcpModuleSecondPage.prototype._SetBitwiseTableInitialValue_(number);};
  var GetBitwiseTagValue      = function(DataModelId, Data, number){TcpModuleSecondPage.prototype._GetBitwiseTagValue_(DataModelId, Data, number);};
  var GetBitwiseTableOldData      = function(DataModelId){return TcpModuleSecondPage.prototype._GetBitwiseTableOldData_(DataModelId);};
  var AddBitwiseSettingRow       = function(DataModelId, Data){TcpModuleSecondPage.prototype._AddBitwiseSettingRow_(DataModelId, Data);};
  var BitwiseTableAddNewRow       = function(DataModelId, Data){TcpModuleSecondPage.prototype._BitwiseTableAddNewRow_(DataModelId, Data);};
  var AddBitwiseTableData = function(Data, AddAddress, DataType){return TcpModuleSecondPage.prototype._AddBitwiseTableData_(Data, AddAddress, DataType);};
  var SetBitwiseTagValue = function(DataModelId, Data, number){TcpModuleSecondPage.prototype._SetBitwiseTagValue_(DataModelId, Data, number);};
  var SetBitwiseTableNewRowValue  = function(DataModelId, Data){TcpModuleSecondPage.prototype._SetBitwiseTableNewRowValue_(DataModelId, Data);};
  this.BitwiseSettingEnabled  = function(that){TcpModuleSecondPage.prototype._BitwiseSettingEnabled_(that);};
  this.BitwiseSettingDisabled  = function(that){TcpModuleSecondPage.prototype._BitwiseSettingDisabled_(that);};
  var DeleteBitwiseDynamicRow = function(StartAddress, TableId){TcpModuleSecondPage.prototype._DeleteBitwiseDynamicRow_(StartAddress, number, TableId);};
  var ModifyBitwiseTableData = function(that, DataModelId, Obj){TcpModuleSecondPage.prototype._ModifyBitwiseTableData_(that, DataModelId, Obj);};
  //檢查
  var CheckScalingTable = function(){return TcpModuleSecondPage.prototype._CheckScalingTable_();};
  var CheckBitwiseTable = function(){return TcpModuleSecondPage.prototype._CheckBitwiseTable_();};
  var CheckTotalTable = function(){return TcpModuleSecondPage.prototype._CheckTotalTable_();};
  var CheckDataModelTable = function(){return TcpModuleSecondPage.prototype._CheckDataModelTable_();};
  var CheckZoomAddressCollision = function(that){return TcpModuleSecondPage.prototype._CheckZoomAddressCollision_(that);};
  var CheckAddressCollision = function(DataModel, StartAddress, DataNumber, DataType){return TcpModuleSecondPage.prototype._CheckAddressCollision_(DataModel, StartAddress, DataNumber, DataType);};
  this.CheckPollingTimeout = function(that){TcpModuleSecondPage.prototype._CheckPollingTimeout_(that);};//最小20
  this.CheckPollingRate = function(that){TcpModuleSecondPage.prototype._CheckPollingRate_(that);};//最小20
  this.CheckStartAddress = function(that){TcpModuleSecondPage.prototype._CheckStartAddress_(that);};//為0或正整數
  this.CheckDataNumber = function(that){TcpModuleSecondPage.prototype._CheckDataNumber_(that);};//正整數  
  this.CheckVariableName = function(that){TcpModuleSecondPage.prototype._CheckVariableName_(that);};
  this.CheckScalingVariableName = function(that){TcpModuleSecondPage.prototype._CheckScalingVariableName_(that);};
  this.CheckBitwiseVariableName = function(that){TcpModuleSecondPage.prototype._CheckBitwiseVariableName_(that);};
  this.CheckModuleName = function(that){TcpModuleSecondPage.prototype._CheckModuleName_(that);};
  this.CheckIP = function(that){TcpModuleSecondPage.prototype._CheckIP_(that);};
  this.CheckPort = function(that){TcpModuleSecondPage.prototype._CheckPort_(that);};
  this.CheckSlaveId = function(that){TcpModuleSecondPage.prototype._CheckSlaveId_(that);};
  //取值
  var GetTableVariableValue = function(that){return TcpModuleSecondPage.prototype._GetTableVariableValue_(that);};
  var GetScalingTableVariableValue = function(that){return TcpModuleSecondPage.prototype._GetScalingTableVariableValue_(that);};
  var GetBitwiseUIValue = function(that){return TcpModuleSecondPage.prototype._GetBitwiseUIValue_(that);};
  var GetBitwiseTableVariableValue = function(that){return TcpModuleSecondPage.prototype._GetBitwiseTableVariableValue_(that);};
  var GetGridNumber = function(DataType){return TcpModuleSecondPage.prototype._GetGridNumber_(DataType);};
  var GetGroupNumber = function(DataModelId, CurrentlyAddress){TcpModuleSecondPage.prototype._GetGroupNumber_(DataModelId, CurrentlyAddress);};
  var GetDataModel = function(string){TcpModuleSecondPage.prototype._GetDataModel_(string);};
  var GetExistAddress = function(that){TcpModuleSecondPage.prototype._GetExistAddress_(that);};
  //判斷
  var IsNameFormat = function(AllName, Name){return TcpModuleSecondPage.prototype._IsNameFormat_(Name);};
  var IsNameRepeat = function(AllName, Name){return TcpModuleSecondPage.prototype._IsNameRepeat_(AllName, Name);};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return TcpModuleSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return TcpModuleSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearForm = function(){TcpModuleSecondPage.prototype._ClearForm_();};
  var ClearDataModelTable = function(){TcpModuleSecondPage.prototype._ClearDataModelTable_();};
  var ClearTotalTable = function(){TcpModuleSecondPage.prototype._ClearTotalTable_();};
  var ClearScalingTable = function(){TcpModuleSecondPage.prototype._ClearScalingTable_();};
  var CleaBitwiseTable = function(){TcpModuleSecondPage.prototype._ClearBitwiseTable_();};
  var ClearAllCss = function(that){TcpModuleSecondPage.prototype._ClearAllCss_(that);};
  var ChangeCurrentlyTabCss = function(that){TcpModuleSecondPage.prototype._ChangeCurrentlyTabCss_(that);};
  var HideAllTotalTable = function(){TcpModuleSecondPage.prototype._HideAllTotalTable_();};
  var ShowAllTotalTable = function(){TcpModuleSecondPage.prototype._ShowAllTotalTable_();};
  var HideAllDataModelForm = function(){TcpModuleSecondPage.prototype._HideAllDataModelForm_();};
  var ShowAllDataModelForm = function(){TcpModuleSecondPage.prototype._ShowAllDataModelForm_();};
  var HideScalingTableForm = function(){TcpModuleSecondPage.prototype._HideScalingTableForm_();};
  var ShowScalingTableForm = function(){TcpModuleSecondPage.prototype._ShowScalingTableForm_();};
  var HideBitwiseTableForm = function(){TcpModuleSecondPage.prototype._HideBitwiseTableForm_();};
  var ShowBitwiseTableForm = function(){TcpModuleSecondPage.prototype._ShowBitwiseTableForm_();};
  this.ChangeModbusTab = function(Mode, that){TcpModuleSecondPage.prototype._ChangeModbusTab_(Mode, that);};
  //按鈕
  this.OkButton     = function(that){TcpModuleSecondPage.prototype._OkButton_(that);};
  this.CancelButton = function(that){TcpModuleSecondPage.prototype._CancelButton_(that);};
  this.EditButton   = function(that){TcpModuleSecondPage.prototype._EditButton_(that);};
  this.DeleteButton = function(that){TcpModuleSecondPage.prototype._DeleteButton_(that);};
  this.ConfirmButton = function(that){TcpModuleSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){TcpModuleSecondPage.prototype._NoConfirmButton_();};
  //其他服務同步資料
  var CreateVariableEmptyObject = function(number){return TcpModuleSecondPage.prototype._CreateVariableEmptyObject_(number);};
  var CreateScalingVariableEmptyObject = function(number){return TcpModuleSecondPage.prototype._CreateScalingVariableEmptyObject_(number);};
  var CreateBitwiseVariableEmptyObject = function(number){return TcpModuleSecondPage.prototype._CreateBitwiseVariableEmptyObject_(number);};
  var InitialTcpToScalingEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToScalingEmptyObject_(object, number);};
  var InitialTcpScalingToOpcuaEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpScalingToOpcuaEmptyObject_(object, number);};
  var InitialTcpToOpcuaEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToOpcuaEmptyObject_(object, number);};
  var InitialTcpToBitwiseEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToBitwiseEmptyObject_(object, number);};
  var InitialTcpBitwiseToOpcuaValue = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpBitwiseToOpcuaValue_(object, number);};
  var InitialTcpBitwiseToOpcuaEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpBitwiseToOpcuaEmptyObject_(object, number);};
  var RetainTcpToOpcuaData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToOpcuaData_(object, number);};
  var RetainTcpToScalingData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToScalingData_(object, number);};
  var RetainTcpScalingToOpcuaData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpScalingToOpcuaData_(object, number);};
  var RetainRtuToBitwiseData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToBitwiseData_(object, number);};
  var UpdateTcpBitwiseToOpcuaVariable = function(number, SystemVariable){return TcpModuleSecondPage.prototype._UpdateTcpBitwiseToOpcuaVariable_(number, SystemVariable);};
  var RetainTcpBitwiseToOpcuaData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpBitwiseToOpcuaData_(object, number);};

  var InitialTcpToMqttVariableEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToMqttVariableEmptyObject_(object, number);};
  var RetainTcpToMqttVariableData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToMqttVariableData_(object, number);};

  var InitialTcpToMqttJsonVariableEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToMqttJsonVariableEmptyObject_(object, number);};
  var RetainTcpToMqttJsonVariableData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToMqttJsonVariableData_(object, number);};

  var InitialTcpToMsSqlVariableEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToMsSqlVariableEmptyObject_(object, number);};
  var RetainTcpToMsSqlVariableData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToMsSqlVariableData_(object, number);};
  var InitialTcpToMysqlConnectionVariableEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToMysqlConnectionEmptyObject_(object, number);};
  var RetainTcpToMysqlConnectionVariableData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToMysqlConnectionVariableData_(object, number);};

  var InitialTcpToLocalDataLoggerVariableEmptyObject = function(object, number){return TcpModuleSecondPage.prototype._InitialTcpToLocalDataLoggerVariableEmptyObject_(object, number);};
  var RetainTcpToLocalDataLoggerVariableData = function(object, number){return TcpModuleSecondPage.prototype._RetainTcpToLocalDataLoggerVariableData_(object, number);};

  var SynchronizeOtherServiceData = function(number){TcpModuleSecondPage.prototype._SynchronizeOtherServiceData_(number);};
  var SynchronizeOtherServiceScalingData = function(object, number){TcpModuleSecondPage.prototype._SynchronizeOtherServiceScalingData_(object, number);};
  var SynchronizeTcpToScalingData = function(object, number){TcpModuleSecondPage.prototype._SynchronizeTcpToScalingData_(object, number);};
  var SynchronizeTcpScalingToOpcuaData = function(object, number){TcpModuleSecondPage.prototype._SynchronizeTcpScalingToOpcuaData_(object, number);};
  var SynchronizeOtherServiceBitwiseData = function(object, number){TcpModuleSecondPage.prototype._SynchronizeOtherServiceBitwiseData_(object, number);};
  var SynchronizeTcpToBitwiseData = function(object, number){TcpModuleSecondPage.prototype._SynchronizeTcpToBitwiseData_(object, number);};
  var SynchronizeTcpBitwiseToOpcuaData = function(object, number){TcpModuleSecondPage.prototype._SynchronizeTcpBitwiseToOpcuaData_(object, number);};

  var ReplaceScalingBitwiseSourceVariableName = function(DataModel, TargetAddress, ReplaceName){TcpModuleSecondPage.prototype._ReplaceScalingBitwiseSourceVariableName_(DataModel, TargetAddress, ReplaceName);};
  var SynchronizeScalingBitwiseSourceVariableName = function(Mode){TcpModuleSecondPage.prototype._SynchronizeScalingBitwiseSourceVariableName_(Mode);};

  //全域變數 或 物件
  var BuildTcpSettingObject  = function(that){TcpModuleSecondPage.prototype._BuildTcpSettingObject_(that);};
  var BuildTcpVariableObject = function(that){TcpModuleSecondPage.prototype._BuildTcpVariableObject_(that);};  
  var BuildNewSystemVariableName = function(){TcpModuleSecondPage.prototype._BuildNewSystemVariableName_();};
  var BuildTcpScalingObject  = function(that){TcpModuleSecondPage.prototype._BuildTcpScalingObject_(that);};
  var SetFormInitialValue = function(number){TcpModuleSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){TcpModuleSecondPage.prototype._SetInitialValue_(number);};
  var SetNewTcpVariableObjectValue = function(DataModelId, Data, number){TcpModuleSecondPage.prototype._SetNewTcpVariableObjectValue_(DataModelId, Data, number);};
  var SetNewTcpScalingVariableObjectValue = function(DataModelId, Data, number){TcpModuleSecondPage.prototype._SetNewTcpScalingVariableObjectValue_(DataModelId, Data, number);};
  var SetNewTcpBitwiseTagObjectValue = function(GlboalVariable, Data){TcpModuleSecondPage.prototype._SetNewTcpBitwiseTagObjectValue_(GlboalVariable, Data);};
  var SetNewTcpBitwiseVariableObjectValue = function(DataModelId, Data, number){TcpModuleSecondPage.prototype._SetNewTcpBitwiseVariableObjectValue_(DataModelId, Data, number);};
  var BuildTcpBitwiseObject  = function(that){TcpModuleSecondPage.prototype._BuildTcpBitwiseObject_(that);};
}